import SeriesCard from "./SeriesCard";
import PropTypes from "prop-types";

function Series({
  series,
  setCurrentSeriesLeft,
  setCurrentSeriesRight,
  setImageSeries,
  currentSeriesIdLeft,
  setCurrentSeriesIdLeft,
  currentSeriesIdRight,
  setCurrentSeriesIdRight,
  colormapLeft,
  setColormapLeft,
  colormapRight,
  setColormapRight,
}) {
  return (
    <div className="grid grid-cols-3 gap-3">
      {series.map((currentSeries, idx) => (
        <SeriesCard
          key={idx}
          series={currentSeries}
          setCurrentSeriesLeft={setCurrentSeriesLeft}
          setCurrentSeriesRight={setCurrentSeriesRight}
          setImageSeries={setImageSeries}
          currentSeriesIdLeft={currentSeriesIdLeft}
          setCurrentSeriesIdLeft={setCurrentSeriesIdLeft}
          currentSeriesIdRight={currentSeriesIdRight}
          setCurrentSeriesIdRight={setCurrentSeriesIdRight}
          colormapLeft={colormapLeft}
          setColormapLeft={setColormapLeft}
          colormapRight={colormapRight}
          setColormapRight={setColormapRight}
        />
      ))}
    </div>
  );
}

Series.propTypes = {
  series: PropTypes.array.isRequired,
  setCurrentSeriesLeft: PropTypes.func.isRequired,
  setCurrentSeriesRight: PropTypes.func.isRequired,
  setImageSeries: PropTypes.func.isRequired,
  currentSeriesIdLeft: PropTypes.string.isRequired,
  setCurrentSeriesIdLeft: PropTypes.func.isRequired,
  currentSeriesIdRight: PropTypes.string.isRequired,
  setCurrentSeriesIdRight: PropTypes.func.isRequired,
  colormapLeft: PropTypes.string.isRequired,
  setColormapLeft: PropTypes.func.isRequired,
  colormapRight: PropTypes.string.isRequired,
  setColormapRight: PropTypes.func.isRequired,
};

export default Series;
