import { colormapsData } from "../../helpers/colorMaps";
import PropTypes from "prop-types";

function ColormapSelector({ colormap, setColormap }) {
  function handleChange(e) {
    const value = e.target.value;
    setColormap(value);
  }

  return (
    <div>
      <label htmlFor="color map" className="text-sm font-medium text-gray-700">
        Colormap
      </label>
      <select
        id="color map"
        name="color map"
        className="mt-1 block w-full pl-3 pr-10 py-2 text-base border-gray-300 focus:outline-none focus:ring-red-200 focus:border-blue-200 sm:text-sm rounded-md"
        defaultValue={colormap}
        onChange={(e) => handleChange(e)}
      >
        {Object.keys(colormapsData).map((key) => (
          <option key={key} value={key}>
            {colormapsData[key].name}
          </option>
        ))}
      </select>
    </div>
  );
}

ColormapSelector.propTypes = {
  colormap: PropTypes.string.isRequired,
  setColormap: PropTypes.func.isRequired,
};

export default ColormapSelector;
