const HOST = "localhost:8080";
export const INSTANCES = `${HOST}/instances`;
export const PATIENTS = `http://${HOST}/patients`;
export const STUDIES = `http://${HOST}/studies`;
export const SERIES = `http://${HOST}/series`;

export function getImageString(imageID) {
  return `dicomweb://${INSTANCES}/${imageID}/file`;
}

export async function getPatientInfo(patientID) {
  return fetch(`${PATIENTS}/${patientID}`).then((response) => response.json());
}

export async function getStudyInfo(studyID) {
  return fetch(`${STUDIES}/${studyID}`).then((response) => response.json());
}

export async function getSeriesInfo(seriesID) {
  return fetch(`${SERIES}/${seriesID}`).then((response) => response.json());
}
