import { filters } from "../helpers/colorMaps";
import PropTypes from "prop-types";

function CssFilterSelector({ currentFilter, setCurrentFilter }) {
  function handleChange(e) {
    const value = e.target.value;
    setCurrentFilter(value);
  }

  return (
    <div>
      <select
        id="filter"
        name="filter"
        className="w-full pl-3 text-black p-0"
        defaultValue={currentFilter}
        onChange={(e) => handleChange(e)}
      >
        {Object.keys(filters).map((key) => (
          <option key={key} value={filters[key].value}>
            {filters[key].name}
          </option>
        ))}
      </select>
    </div>
  );
}

CssFilterSelector.propTypes = {
  currentFilter: PropTypes.string.isRequired,
  setCurrentFilter: PropTypes.func.isRequired,
};

export default CssFilterSelector;
